"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("react");
var react_dom_1 = require("react-dom");
require("./index.scss");
var PopoverContent = function (props) {
    var _a = react_1.useState('w-content w-position-top'), contentClass = _a[0], setClass = _a[1];
    var contentRef = react_1.useRef(null);
    var isVisible = props.isVisible, width = props.width, left = props.left, top = props.top;
    react_1.useEffect(function () {
        function positionContent(position) {
            var positions = {
                top: {
                    left: left + window.scrollX + width / 2 + 'px',
                    top: top + window.scrollY + 'px'
                },
                bottom: {
                    left: left + window.scrollX + width / 2 + 'px',
                    top: top + window.scrollY + 'px'
                },
            };
            var content = contentRef.current;
            content.style.left = positions[position].left;
            content.style.top = positions[position].top;
        }
        if (isVisible) {
            setClass('w-content w-position-top w-content-visible');
            positionContent('top');
        }
        else {
            setClass('w-content w-position-top');
        }
    }, [left, top, width, isVisible]);
    var renderContent = (React.createElement("div", { className: contentClass, ref: contentRef }, props.content));
    return react_dom_1.default.createPortal(renderContent, document.body);
};
exports.default = PopoverContent;
//# sourceMappingURL=PopoverContent.js.map